BlitzReels
BlitzReelsDocumentation
API Reference
POST
/audio-library/import

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/audio-library/import" \  -H "Content-Type: application/json" \  -d '{    "provider": "openverse",    "external_id": "string"  }'
{  "asset": {    "id": "string",    "name": "string",    "asset_type": "audio",    "audio_type": "string",    "duration_seconds": 0,    "source_url": "string",    "license_code": "string",    "license_url": "string",    "attribution_text": "string"  },  "imported": true,  "deduped": true,  "timeline_item_id": "string",  "txid": 0,  "provider_request": {    "provider": "openverse",    "external_id": "string",    "retryable": true,    "imported_at": "string"  }}